  Serial1.print("AT+CMGF=1\r"); //Because we want to send the SMS in text mode  
  delay(1000);  
  Serial1.println("AT+CMGS=\"+336********\"");  
  delay(1000);  
  Serial1.print(sms);  
  delay(1000);  
  Serial1.println((char)26); //the ASCII code of the ctrl+z is 26 (0x1A)  
  delay(1000); 
  Serial1.print("AT+CMGD=4");// efface tout sms
  Serial1.println();  


